//                              --- OpenGL 4.1 ---

/**
 *  @def GL_VERSION_4_1
 *  @brief if defined, OpenGL 4.1 entry points are available
 *  @note This does not necessarily mean it is also supported.
 */
#ifndef GL_VERSION_4_1
#define GL_VERSION_4_1 1

/**
 *  @def __GENERATE_GL_41__
 *  @brief if defined, code to initialize OpenGL 4.1 entry points is compiled
 */
#define __GENERATE_GL_41__

extern bool GLEH_OPENGL_4_1; /**< @brief set if OpenGL 4.1 is supported */

#endif // GL_VERSION_4_1

//                              --- ~OpenGL 4.1 ---

